define moodle::instance (
  $install_dir,
  $download_url,
  $default_lang,
  $wwwrooturl,
  $www_owner,
  $www_group,
  $dataroot,
  $create_db,
  $create_db_user,
  $dbtype,
  $dbhost,
  $dbname,
  $dbuser,
  $dbpass,
  $dbport,
  $dbsocket,
  $prefix,
  $fullname,
  $shortname,
  $summary,
  $adminuser,
  $adminpass,
  $adminemail,
) {

  moodle::db { "${dbhost}/${dbname}":
    create_db      => $create_db,
    create_db_user => $create_db_user,
    dbname         => $dbname,
    dbhost         => $dbhost,
    dbuser         => $dbuser,
    dbpass         => $dbpass,
  }

  moodle::app { $install_dir:
    install_dir  => $install_dir,
    download_url => $download_url,
    default_lang => $default_lang,
    wwwrooturl   => $wwwrooturl,
    www_owner    => $www_owner,
    www_group    => $www_group,
    dataroot     => $dataroot,
    dbtype       => $dbtype,
    dbhost       => $dbhost,
    dbname       => $dbname,
    dbuser       => $dbuser,
    dbpass       => $dbpass,
    dbport       => $dbport,
    dbsocket     => $dbsocket,
    prefix       => $prefix,
    fullname     => $fullname,
    shortname    => $shortname,
    summary      => $summary,
    adminuser    => $adminuser,
    adminpass    => $adminpass,
    adminemail   => $adminemail,
    require      => Moodle::Db["${dbhost}/${dbname}"],
  }

}
